package com.gic.haoban.manage.api.qdto.contact;

import com.gic.haoban.manage.api.enums.contact.ContactAutoTypeEnum;

import java.io.Serializable;

public class ContactLogQDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269973L;
    /**
     * 会员id
     */
    private String memberId;
    /**
     * 导购id
     */
    private String clerkId;
    /**
     * 门店id
     */
    private String storeId;
    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 自动建联类型
     * @see ContactAutoTypeEnum
     */
    private Integer contactAutoType;

    public ContactLogQDTO() {
    }

    public ContactLogQDTO(String enterpriseId,String memberId, String clerkId, String storeId, Integer contactAutoType) {
        this.memberId = memberId;
        this.clerkId = clerkId;
        this.storeId = storeId;
        this.enterpriseId = enterpriseId;
        this.contactAutoType = contactAutoType;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getContactAutoType() {
        return contactAutoType;
    }

    public void setContactAutoType(Integer contactAutoType) {
        this.contactAutoType = contactAutoType;
    }
}